<?php
include ("base/elemento.class.php");
include ("base/categoria.class.php");
include_once ("include/images/images_mod.class.php");

class revista extends elemento{
		
	function revista() {
        
    }
    
    function guardar($id=0){
    	$trata = new images_mod($this->req);
    	$this->req['background'] = $trata->trataimagem_escolhe('background', "../netimages/revista_background");
    	$this->req['capa'] = $trata->trataimagem_escolhe('capa', "../netimages/revista_capa");
    	$this->req['permatitulo']=generate_seo_titulo($this->req['titulo']);
    	$this->req['permalink']=generate_seo_link($this->req['permatitulo'], $this->req['idCat']);
    
    	parent::guardar($id);
    }
    


	function apagar($id){
		$db= new dbElemento;
		
		if ($db->getTotal("revista", $id)) {
			?><script>alert("Esta revista possui paginas")</script><?
			exit;
		}		
		parent::apagar($id);
	}
	
	
	function editar($id="") {
        
        $db= new dbElemento;
        $linha = @$db->getLinha($this->tipo, $id);
		
		$f= new form($id, $linha , $this->req);
		$f->toolbars();
		$f->titulo("Revista / ", 1);
		$f->campoTexto("Titulo Revista","categoria" );
		$f->campoImagem3("Background","background", 1980,1740);
		$f->campoImagem3("Capa","capa", 244,308);
		$f->campoTexto("Num Página Indice","indice" );
		$f->campoTexto("Num Página destaques","destaques" );
		$f->campoAreaTexto("Legenda","legenda" );
		$f->campoSimNao("Activo", "activo", 0);
		$f->mostra();
    }

	function listar() {
        $campos=array("Nº"=>"id","Revista"=>"categoria");
        
		$db= new dbElemento;
		$dados=$db->getListaCategorias($this->tipo, $campos , "categoria", $this->req['id']);
        $this->req['total']=sizeof($dados);

		
		$f= new lista($campos, $dados, $this->req);
		
		$toolbar= new toolbar(); 
		$toolbar->botao("Novo");
		$toolbar->ini();
		$toolbar->nav($this->req['offset'], $this->req['limit'], $this->req['total']);
		$toolbar->ini();
		$toolbar->procurar($this->req['procurar']);   //mudar para campo
		$toolbar->botao_l("procurar", 90);
		$toolbar->fim();
		
		$f->titulo("Revistas / ");
		$f->cabeca();
        $f->tabela(false, false);
		$f->mostra();
    }
	


}
?>
